# This file lists language names used in Wikitionary, as subtitles for sections
# on each language.
#
# Copyright (c) 2018 Tatu Ylonen.  See file LICENSE.

# -*- fundamental -*-
# Note: Using python mode with this lst practically crashes emacs when,
# for example, pasting new data to the list.

# XXX Every language has a page "Category:<language name> language"
# A list of all languages can be found on "Wiktionary:List of languages".
# Perhaps we could automate generation of this list - but it might require
# another pass over the Wiktionary data, and thus slow down operation.

# Languages that should be ignored.
languages = set([
    # This list includes Word, Undetermined, Translingual
    "'Are'are",
    "A'ou",
    "Abu' Arapesh",
    "Acatepec Me'phaa",
    "Asaro'o",
    "Azoyú Me'phaa",
    "Babine-Witsuwit'en",
    "Bekati'",
    "Brooke's Point Palawano",
    "Buhi'non Bikol",
    "Ch'orti'",
    "Coeur d'Alene",
    "Da'a Kaili",
    "Dena'ina",
    "Dori'o",
    "E'ma Buyang",
    "Eastern Ngad'a",
    "Fe'fe'",
    "Ga'anda",
    "Ga'dang",
    "Ge'ez",
    "Gele'",
    "Ghomala'",
    "Gwich'in",
    "Ida'an",
    "Juǀ'hoan",
    "K'iche'",
    "Kw'adza",
    "Kwak'wala",
    "Li'o",
    "Ma'anyan",
    "Ma'di",
    "Ma'ya",
    "Maku'a",
    "Mbu'",
    "Meta'",
    "Mi'kmaq",
    "N'Ko",
    "Ngan'gityemerri",
    "Ngbaka Ma'bo",
    "Nisga'a",
    "Niuafo'ou",
    "O'odham",
    "Pa'a",
    "Pa'o Karen",
    "Palu'e",
    "Q'anjob'al",
    "Q'eqchi",
    "Rara Bakati'",
    "S'gaw Karen",
    "Sa'a",
    "Selk'nam",
    "Silt'e",
    "So'a",
    "Southern Ma'di",
    "Tae'",
    "Tlacoapa Me'phaa",
    "To'abaita",
    "Tz'utujil",
    "Urak Lawoi'",
    "Waima'a",
    "Wari'",
    "Yanesha'",
    "Yup'ik",
    'A-Pucikwar',
    'Aari',
    'Aasax',
    'Aba',
    'Abaga',
    'Abai',
    'Abanyom',
    'Abau',
    'Abaza',
    'Abenaki',
    'Abenlen Ayta',
    'Abidji',
    'Abipon',
    'Abkhaz',
    'Abon',
    'Abron',
    'Abu',
    'Abua',
    'Abui',
    'Abun',
    'Abung',
    'Abure',
    'Abé',
    'Acehnese',
    'Achagua',
    'Achang',
    'Acheron',
    'Achi',
    'Acholi',
    'Achuar',
    'Achumawi',
    'Aché',
    'Adang',
    'Adangme',
    'Adele',
    'Adi',
    'Adioukrou',
    'Adja',
    'Adnominal',
    'Adnyamathanha',
    'Adyghe',
    'Adzera',
    'Aeka',
    'Aequian',
    'Afade',
    'Afar',
    'Afitti',
    'Afrikaans',
    'Agarabi',
    'Agawam',
    'Aghem',
    'Aghu Tharrnggala',
    'Aghul',
    'Agi',
    'Agoi',
    'Aguacateca',
    'Aguaruna',
    'Agusan Manobo',
    'Agutaynen',
    'Ahirani',
    'Ahom',
    'Ahtna',
    'Ahwai',
    'Ai-Cham',
    'Aikanã',
    'Aimele',
    'Ainbai',
    'Ainu',
    'Aisi',
    'Aiton',
    'Aiwoo',
    'Aja',
    'Ajië',
    'Aka (Central Africa)',
    'Aka-Bea',
    'Aka-Bo',
    'Aka-Cari',
    'Aka-Kede',
    'Aka-Kora',
    'Akan',
    'Akar-Bale',
    'Akaselem',
    'Akatek',
    'Akawaio',
    'Ake',
    'Akei',
    'Akha',
    'Akhvakh',
    'Akkadian',
    'Akkala Sami',
    'Aklanon',
    'Akolet',
    'Akoose',
    'Akoye',
    'Akpa',
    'Akpes',
    'Akum',
    'Akuntsu',
    'Akuwagel',
    'Alaba',
    'Alabama',
    'Alagwa',
    'Alak',
    'Alamblak',
    'Alangan',
    'Alawa',
    'Alazapa',
    'Albanian',
    'Alcozauca Mixtec',
    'Alekano',
    'Alemannic German',
    'Aleut',
    'Algerian Arabic',
    'Algonquin',
    'Ali',
    'Alladian',
    'Allentiac',
    'Aloápam Zapotec',
    'Alsea',
    'Alu',
    'Alumu-Tesu',
    'Alune',
    'Alungul',
    'Alutiiq',
    'Alutor',
    'Alviri-Vidari',
    'Alyawarr',
    'Ama',
    'Amahai',
    'Amahuaca',
    'Amaimon',
    'Amal',
    'Amanab',
    'Amara',
    'Amarakaeri',
    'Amarasi',
    'Amarizana',
    'Amasi',
    'Amatlán Zapotec',
    'Ambai',
    'Ambakich',
    'Ambala Ayta',
    'Ambele',
    'Amblong',
    'Ambonese Malay',
    'Ambrak',
    'Ambulas',
    'Amdang',
    'Amele',
    'American Sign Language',
    'Amganad Ifugao',
    'Amharic',
    'Ami',
    'Amis',
    'Ammonite',
    'Amo',
    'Amondawa',
    'Ampari Dogon',
    'Amurdag',
    'Ana Tinga Dogon',
    'Anaang',
    'Anakalangu',
    'Anal',
    'Anambé',
    'Anauyá',
    'Ancient Greek',
    'Ancient Macedonian',
    'Ancient North Arabian',
    'Andalusian Arabic',
    'Andaqui',
    'Andi',
    'Andio',
    'Andoa',
    'Andoque',
    'Andoquero',
    'Aneityum',
    'Aneme Wake',
    'Angaataha',
    'Angaité',
    'Angami',
    'Angevin',
    'Angguruk Yali',
    'Angika',
    'Angkola Batak',
    'Angkula',
    'Angloromani',
    'Angolar',
    'Angor',
    'Angoram',
    'Anjam',
    'Ankave',
    'Anmatyerre',
    'Annobonese',
    'Anong',
    'Ansus',
    'Antigua and Barbuda Creole English',
    'Antillean Creole',
    'Antonym',
    'Anuak',
    'Anuki',
    'Anus',
    'Anuta',
    'Anyi',
    'Ao',
    'Aoheng',
    'Aore',
    'Apalaí',
    'Apatani',
    'Apiaká',
    'Apinayé',
    'Apma',
    'Apolista',
    'Apurinã',
    'Aputai',
    'Arabana',
    'Arabela',
    'Arabic',
    'Aragonese',
    'Araki',
    'Aramaic',
    'Arammba',
    'Aranadan',
    'Araona',
    'Arapaho',
    'Arara-Karo',
    'Arawak',
    'Araweté',
    'Arawum',
    'Arbore',
    'Archi',
    'Ardhamagadhi Prakrit',
    'Are',
    'Argobba',
    'Arhuaco',
    'Ari',
    'Aribwatsa',
    'Aribwaung',
    'Arifama-Miniafia',
    'Arigidi',
    'Arikapú',
    'Arikara',
    'Arikem',
    'Arin',
    'Aringa',
    'Armenian',
    'Aromanian',
    'Arop-Lokep',
    'Arosi',
    'Arta',
    'Aruop',
    'Arutani',
    'Aruá',
    'As',
    'Asas',
    'Ashe',
    'Ashokan Prakrit',
    'Asháninka',
    'Ashéninka Pajonal',
    'Ashéninka Perené',
    'Asi',
    'Asilulu',
    'Asoa',
    'Assamese',
    'Assan',
    'Assangori',
    'Assiniboine',
    'Assyrian Neo-Aramaic',
    'Asturian',
    'Asu',
    'Asumboa',
    'Ata Manobo',
    'Atakapa',
    'Atanques',
    'Atayal',
    'Atemble',
    'Athpare',
    'Atikamekw',
    'Atohwaim',
    'Atong (Cameroon)',
    'Atong (India)',
    'Atsahuaca',
    'Atsugewi',
    'Attested',
    'Attié',
    'Au',
    'Augila',
    'Auhelawa',
    'Aukan',
    'Aulua',
    'Australian Manda',
    'Austronesian Mari',
    'Austronesian Mor',
    'Auyana',
    'Auye',
    'Avar',
    'Avatime',
    'Avava',
    'Avestan',
    'Avikam',
    'Avokaya',
    'Avá-Canoeiro',
    'Awa (New Guinea)',
    'Awa-Cuaiquer',
    'Awabakal',
    'Awadhi',
    'Awar',
    'Awara',
    'Awetí',
    'Awngi',
    'Awtuw',
    'Awyi',
    'Axamb',
    'Axi Yi',
    'Ayabadhu',
    'Ayere',
    'Aymara',
    'Aynu',
    'Ayomán',
    'Ayoquesco Zapotec',
    'Ayoreo',
    'Ayu',
    'Ayutla Mixtec',
    'Azerbaijani',
    'Azha',
    'Baagandji',
    'Baan',
    'Baba Malay',
    'Babanki',
    'Babatana',
    'Babole',
    'Babungo',
    'Babuza',
    'Bactrian',
    'Badaga',
    'Bade',
    'Badui',
    'Baenan',
    'Bafanji',
    'Bafut',
    'Bagheli',
    'Bagirmi',
    'Bagua',
    'Bagupi',
    'Bagusa',
    'Bagvalal',
    'Baha',
    'Baham',
    'Baharna Arabic',
    'Bahinemo',
    'Bahing',
    'Bahnar',
    'Baimak',
    'Baiso',
    'Baka',
    'Bakairí',
    'Bakhtiari',
    'Baki',
    'Bakoko',
    'Bakulung',
    'Bakumpai',
    'Bakung',
    'Balaesang',
    'Balangao',
    'Balanta-Ganja',
    'Balanta-Kentohe',
    'Balantak',
    'Baldemu',
    'Baliledo',
    'Balinese',
    'Balo',
    'Balti',
    'Baluan-Pam',
    'Baluchi',
    'Bambam',
    'Bambara',
    'Bamu',
    'Bamwe',
    'Bana',
    'Banam Bay',
    'Banda',
    'Banda-Bambari',
    'Bandi',
    'Bandjalang',
    'Bangandu',
    'Banggai',
    'Bangi Me',
    'Bangi',
    'Baniwa',
    'Banjarese',
    'Banka',
    'Bankan Tey Dogon',
    'Bankon',
    'Banoni',
    'Bantawa',
    'Bantik',
    'Banyumasan',
    'Baoule',
    'Barai',
    'Baram Kayan',
    'Barasana',
    'Barbareño',
    'Bardi',
    'Bargam',
    'Bari',
    'Bariai',
    'Bariji',
    'Barikewa',
    'Barngarla',
    'Barok',
    'Barombi',
    'Barranbinya',
    'Baruga',
    'Barunggam',
    'Baruya',
    'Baré',
    'Barí',
    'Basa',
    'Basaa',
    'Basap',
    'Basay',
    'Bashkir',
    'Basketo',
    'Basque',
    'Bassa',
    'Batad Ifugao',
    'Batanga',
    'Bathari',
    'Bats',
    'Batu',
    'Batui',
    'Batuley',
    'Bau Bidayuh',
    'Bau',
    'Baure',
    'Bauro',
    'Bavarian',
    'Baybayanon',
    'Bayogoula',
    'Bayungu',
    'Beaver',
    'Bebe',
    'Bedjond',
    'Beezen',
    'Beja',
    'Belait',
    'Belarusian',
    'Beli',
    'Belizean Creole',
    'Bella Coola',
    'Bellari',
    'Bemba',
    'Ben Tey',
    'Benabena',
    'Bende',
    'Beneraf',
    'Beng',
    'Bengali',
    'Beothuk',
    'Bepour',
    'Berawan',
    'Berbice Creole Dutch',
    'Berik',
    'Berom',
    'Berti',
    'Betawi',
    'Betoi',
    'Bezhta',
    'Bhilali',
    'Bhojpuri',
    'Biak',
    'Biangai',
    'Biao Mon',
    'Biao',
    'Bibaali',
    'Bibliography',
    'Bidiyo',
    'Bidyara',
    'Biem',
    'Big Nambas',
    'Bih',
    'Bihari',
    'Bikol Central',
    'Bilakura',
    'Bilba',
    'Bilbil',
    'Biliau',
    'Biloxi',
    'Bilua',
    'Bilur',
    'Bima',
    'Bimin',
    'Bimoba',
    'Binandere',
    'Binongan Itneg',
    'Bintulu',
    'Binukid',
    'Bipi',
    'Birao',
    'Birgid',
    'Birgit',
    'Bishnupriya Manipuri',
    'Bislama',
    'Bissa',
    'Bitare',
    'Blablanga',
    'Blackfoot',
    'Blagar',
    'Blang',
    'Blin',
    'Bo-Rukul',
    'Boano (Maluku)',
    'Boano (Sulawesi)',
    'Bobongko',
    'Bobot',
    'Bodo (India)',
    'Bodo Gadaba',
    'Bofi',
    'Bogaya',
    'Boghom',
    'Bokar',
    'Boko',
    'Bokobaru',
    'Bokoto',
    'Bokyi',
    'Bola',
    'Bolango',
    'Bole',
    'Bolinao',
    'Boloki',
    'Bolongan',
    'Bolyu',
    'Bonan',
    'Bondei',
    'Bondo',
    'Bonerate',
    'Bonggi',
    'Bonggo',
    'Bongo',
    'Bookan',
    'Bora',
    'Borong',
    'Borrowings',
    'Borôro',
    'Boselewa',
    'Botlikh',
    'Botolan Sambal',
    'Bourbonnais-Berrichon',
    'Bourguignon',
    'Bouyei',
    'Bragat',
    'Brahui',
    'Braj',
    'Brazilian Sign Language',
    'Breton',
    'Bribri',
    'Brokpake',
    'Brokskat',
    'Broome Pearling Lugger Pidgin',
    'Brunei Bisaya',
    'Brunei Malay',
    'Bu',
    'Bu-Nao Bunu',
    'Bube',
    'Bubi',
    'Budibud',
    'Budukh',
    'Buduma',
    'Budza',
    'Buena Vista Yokuts',
    'Bugan',
    'Bughotu',
    'Buginese',
    'Bugun',
    'Buhid',
    'Buhutu',
    'Bukat',
    'Bukawa',
    'Bukiyip',
    'Bukusu',
    'Bulgarian',
    'Buli (Ghana)',
    'Buli (Indonesia)',
    'Bulu (Cameroon)',
    'Bulu (New Guinea)',
    'Bunaba',
    'Bunak',
    'Bunama',
    'Bundeli',
    'Bungku',
    'Bungu',
    'Bunoge',
    'Bunun',
    'Buol',
    'Bura Mabang',
    'Bura',
    'Burarra',
    'Burduna',
    'Burgundian',
    'Burji',
    'Burmese',
    'Buru (Indonesia)',
    'Burun',
    'Burushaski',
    'Burusu',
    'Buruwai',
    'Buryat',
    'Busa',
    'Busam',
    'Busami',
    'Busang Kayan',
    'Butmas-Tur',
    'Butuanon',
    'Buwal',
    'Bwaidoka',
    'Bwanabwana',
    'Bwatoo',
    'Byangsi',
    'Caac',
    'Cabiyarí',
    'Cacua',
    'Cacán',
    'Caddo',
    'Cahuilla',
    'Cajonos Zapotec',
    'Caka',
    'Calamian Tagbanwa',
    'Calusa',
    'Caluyanun',
    'Caló',
    'Camarines Norte Agta',
    'Camsá',
    'Candoshi-Shapra',
    'Canela',
    'Canichana',
    'Cantonese',
    'Capiznon',
    'Cappadocian Greek',
    'Car Nicobarese',
    'Cara',
    'Carabayo',
    'Caranqui',
    'Carapana',
    'Carian',
    'Cariay',
    'Caribbean Hindustani',
    'Carijona',
    'Carolinian',
    'Carrier',
    'Cashibo-Cacataibo',
    'Cashinahua',
    'Casiguran Dumagat Agta',
    'Catacao',
    'Catalan',
    'Catawba',
    'Catuquinaru',
    'Catío Chibcha',
    'Cavere',
    'Cavineña',
    'Cayubaba',
    'Cayuga',
    'Cazcan',
    'Cebuano',
    'Celtiberian',
    'Cemuhî',
    'Central Asmat',
    'Central Atlas Tamazight',
    'Central Bai',
    'Central Bontoc',
    'Central Cagayan Agta',
    'Central Dusun',
    'Central Franconian',
    'Central Huasteca Nahuatl',
    'Central Kurdish',
    'Central Mahuatlán Zapoteco',
    'Central Malay',
    'Central Masela',
    'Central Mazahua',
    'Central Melanau',
    'Central Nahuatl',
    'Central Nicobarese',
    'Central Pomo',
    'Central Puebla Nahuatl',
    'Central Sama',
    'Central Siberian Yupik',
    'Central Sierra Miwok',
    'Central Subanen',
    'Central Tagbanwa',
    'Central Tarahumara',
    'Central Tunebo',
    'Chaap Wuurong',
    'Chachi',
    'Chadong',
    'Chagatai',
    'Chaha',
    'Chaima',
    'Chairel',
    'Chakma',
    'Chali',
    'Chamacoco',
    'Chamalal',
    'Chamba Daka',
    'Chambri',
    'Chamicuro',
    'Chamling',
    'Chamorro',
    'Champenois',
    'Chang',
    'Chapacura',
    'Charrua',
    'Chaudangsi',
    'Chaura',
    'Chavacano',
    'Chayahuita',
    'Chechen',
    'Cheke Holo',
    'Cherokee',
    'Chewong',
    'Cheyenne',
    'Chibcha',
    'Chichewa',
    'Chichicapan Zapotec',
    'Chickasaw',
    'Chilcotin',
    'Chimalapa Zoque',
    'Chimila',
    'Chimwiini',
    'Chinali',
    'Chinese Pidgin English',
    'Chinese',
    'Chinook Jargon',
    'Chinook',
    'Chipaya',
    'Chipewyan',
    'Chiquihuitlán Mazatec',
    'Chiquimulilla',
    'Chiquitano',
    'Chiricahua',
    'Chirino',
    'Chitimacha',
    'Chittagonian',
    'Chiwere',
    'Choapan Zapotec',
    'Choctaw',
    'Chol',
    'Chong',
    'Chono',
    'Chrau',
    'Chru',
    'Chuanqiandian Cluster Miao',
    'Chuave',
    'Chuj',
    'Chuka',
    'Chukchi',
    'Churuya',
    'Chuukese',
    'Chuvash',
    'Chácobo',
    'Cia-Cia',
    'Cibak',
    'Cicipu',
    'Ciguayo',
    'Cimbrian',
    'Cinta Larga',
    'Classical Mandaic',
    'Classical Mongolian',
    'Classical Nahuatl',
    'Classical Newari',
    'Classical Syriac',
    'Coast Miwok',
    'Coastal Kadazan',
    'Coastal Konjo',
    'Coatecas Altas Zapotec',
    'Coatlán Mixe',
    'Coatlán Zapotec',
    'Coatzospan Mixtec',
    'Cocama',
    'Cocopa',
    'Cofán',
    'Cogui',
    'Columbia-Wenatchi',
    'Colán',
    'Comanche',
    'Comechingon',
    'Command',
    'Comox',
    'Coos',
    'Copainalá Zoque',
    'Copallén',
    'Coptic',
    'Cora',
    'Cornish',
    'Coroado Puri',
    'Corsican',
    'Cowlitz',
    'Cree',
    'Creek',
    'Crimean Gothic',
    'Crimean Tatar',
    'Cross River Mbembe',
    'Crow',
    'Cruzeño',
    'Cua',
    'Cubeo',
    'Cuiba',
    'Cuitlatec',
    'Culina',
    'Culli',
    'Cumanagoto',
    'Cun',
    'Cung',
    'Cupeño',
    'Curripaco',
    'Cuvok',
    'Cuyunon',
    'Cypriot Arabic',
    'Czech',
    'Daai Chin',
    'Daasanach',
    'Daba',
    'Dacian',
    'Dadanitic',
    'Dadibi',
    'Daga',
    'Dagbani',
    'Dahalo',
    'Dai',
    'Dairi Batak',
    'Dakaka',
    'Dakota',
    'Dakpa',
    'Dalmatian',
    'Dan',
    'Danaru',
    'Dangaléat',
    'Danish',
    'Dano',
    'Dargwa',
    'Darkinjung',
    'Darmiya',
    'Daro-Matu Melanau',
    'Dass',
    'Datooga',
    'Daur',
    'Dawawa',
    'Dawera-Daweloor',
    'Dawro',
    'Day',
    'Dazaga',
    'Deccani',
    'Defaka',
    'Deg Xinag',
    'Deg',
    'Degema',
    'Degenan',
    'Delta Yokuts',
    'Demotic',
    'Demta',
    'Denya',
    'Dení',
    'Desano',
    'Descendant',
    'Dhalandji',
    'Dhangu',
    'Dharug',
    'Dhimal',
    'Dhivehi',
    'Dhudhuroa',
    'Dhuwal',
    'Dia',
    'Dibabawon Manobo',
    'Dibiyaso',
    'Dibo',
    'Dieri',
    'Digo',
    'Dilling',
    'Dimasa',
    'Dime',
    'Dinapigue Agta',
    'Dineor',
    'Dinka',
    'Diodio',
    'Ditidaht',
    'Diuxi-Tilantongo Mixtec',
    'Dixon Reef',
    'Dobel',
    'Dobu',
    'Doe',
    'Doga',
    'Dogri',
    'Dogrib',
    'Dogul Dom',
    'Dolgan',
    'Domari',
    'Dompo',
    'Dongolawi',
    'Dongshanba Lalo',
    'Dongxiang',
    'Dorasque',
    'Dorig',
    'Dorze',
    'Doteli',
    'Doura',
    'Doutai',
    'Drehu',
    'Drung',
    'Duala',
    'Duau',
    'Dubu',
    'Duhwa',
    'Duit',
    'Dukhan',
    'Duma',
    'Dumbea',
    'Dumi',
    'Dumpas',
    'Duna',
    'Dungan',
    'Dupaningan Agta',
    'Dura',
    'Duri',
    'Duriankere',
    'Dusner',
    'Dutch Low Saxon',
    'Dutch',
    'Duun',
    'Duvle',
    'Duwet',
    'Dyirbal',
    'Dyula',
    'Dzala',
    'Dzao Min',
    'Dzongkha',
    'Dzuun',
    'Dâw',
    'East Central German',
    'East Damar',
    'East Franconian',
    'East Futuna',
    'East Makian',
    'East Masela',
    'East Yugur',
    'Eastern Arrernte',
    'Eastern Bontoc',
    'Eastern Cham',
    'Eastern Huasteca Nahuatl',
    'Eastern Keres',
    'Eastern Lawa',
    'Eastern Magar',
    'Eastern Mari',
    'Eastern Mnong',
    'Eastern Penan',
    'Eastern Pomo',
    'Eastern Pwo Karen',
    'Eastern Tamang',
    'Eblaite',
    'Ebrié',
    'Ebughu',
    'Edo',
    'Edomite',
    'Edopi',
    'Efai',
    'Efik',
    'Efutop',
    'Ega',
    'Eggon',
    'Egyptian Arabic',
    'Egyptian',
    'Eipomek',
    'Ejagham',
    'Ekajuk',
    'Ekari',
    'Ekit',
    'Ekpeye',
    'Elamite',
    'Eleme',
    'Elfdalian',
    'Elkei',
    'Elotepec Zapotec',
    'Eloyi',
    'Emae',
    'Eman',
    'Embaloh',
    'Emberá-Catío',
    'Emberá-Chamí',
    'Emberá-Tadó',
    'Embu',
    'Emerillon',
    'Emilian',
    'En',
    'Ende',
    'Enga',
    'Engenni',
    'Enggano',
    'English',
    'Enlhet',
    'Enwang',
    'Enxet',
    'Eotile',
    'Epena',
    'Epie',
    'Epigraphic Mayan',
    'Eritai',
    'Ersu',
    'Erzya',
    'Esan',
    'Ese Ejja',
    'Eshtehardi',
    'Esimbi',
    'Esmeralda',
    'Esperanto',
    'Esselen',
    'Estonian',
    'Etebi',
    'Eten',
    'Eteocretan',
    'Etimology',
    'Eton (Cameroon)',
    'Etruscan',
    'Etulo',
    'Etymology1',
    'Eumhun',
    'Evant',
    'Even',
    'Evenki',
    'Ewe',
    'Ewondo',
    'Extremaduran',
    'Eyak',
    'Fagani',
    'Fakkanci',
    'Fala',
    'Faliscan',
    'Fanamaket',
    'Fang (Cameroon)',
    'Fang (Guinea)',
    'Farefare',
    'Faroese',
    'Fas',
    'Fasu',
    'Fataluku',
    'Fayu',
    'Fembe',
    'Fiji Hindi',
    'Fijian',
    'Finnish',
    'Fipa',
    'Flinders Island',
    'Foi',
    'Folopa',
    'Fon',
    'Forak',
    'Fore',
    'Forest Enets',
    'Fox',
    'Franc-Comtois',
    'Franco-Provençal',
    'Frankish',
    'French',
    'Friulian',
    'Fula',
    'Fulniô',
    'Fungwa',
    'Fur',
    'Futuna-Aniwa',
    'Fuyug',
    'Fwâi',
    'Fyam',
    'Fyer',
    'Ga',
    'Gaam',
    'Gabadi',
    'Gabi',
    'Gabrielino-Fernandeño',
    'Gaddang',
    'Gadsup',
    'Gagadu',
    'Gagauz',
    'Gaikundi',
    'Gal',
    'Galela',
    'Galibi Carib',
    'Galice',
    'Galician',
    'Gallo',
    'Gallurese',
    'Galoli',
    'Gamilaraay',
    'Gamo',
    'Gana',
    'Gandhari',
    'Ganglau',
    'Gapapaiwa',
    'Garawa',
    'Garhwali',
    'Garifuna',
    'Garo',
    'Garus',
    'Gashowu',
    'Gaulish',
    'Gavak',
    'Gavar',
    'Gavião do Jiparaná',
    'Gayil',
    'Gayo',
    'Gayón',
    'Gbagyi',
    'Gban',
    'Gbanu',
    'Gbanziri',
    'Gbari',
    'Gbaya-Bossangoa',
    'Gbaya-Bozoum',
    'Gbayi',
    'Gbiri-Niragu',
    'Gciriku',
    'Gedaged',
    'Geji',
    'Gela',
    'Gen',
    'Gende',
    'Georgian',
    'Gerka',
    'German Low German',
    'German Sign Language',
    'German',
    'Geser-Gorom',
    'Ghadames',
    'Ghari',
    'Ghayavi',
    'Ghotuo',
    'Gidar',
    'Gilaki',
    'Gilbertese',
    'Girawa',
    'Gitua',
    'Glavda',
    'Gobasi',
    'Godoberi',
    'Goemai',
    'Gofa',
    'Gokana',
    'Gokhy',
    'Gola',
    'Golin',
    'Gondi',
    'Gong',
    'Gonja',
    'Gooniyandi',
    'Gor',
    'Gorontalo',
    'Gothic',
    'Gottscheerish',
    'Grass Koiari',
    'Greek',
    'Green Hmong',
    'Greenlandic Pidgin',
    'Greenlandic',
    'Gresi',
    'Gros Ventre',
    'Guahibo',
    'Guajajára',
    'Guajá',
    'Guambiano',
    'Guanano',
    'Guanche',
    'Guaraní',
    'Guayabero',
    'Guazacapán',
    'Gude',
    'Guerrero Amuzgo',
    'Guerrero Nahuatl',
    'Guevea de Humboldt Zapotec',
    'Gugu Badhun',
    'Guhu-Samane',
    'Guianese Creole',
    'Guinau',
    'Guinea-Bissau Creole',
    'Guiqiong',
    'Gujarati',
    'Gulay',
    'Gulf Arabic',
    'Gullah',
    'Gumalu',
    'Gumatj',
    'Gumawana',
    'Gun',
    'Gunu',
    'Gunwinggu',
    'Gunya',
    'Gupa-Abawa',
    'Gupapuyngu',
    'Gurani',
    'Gurindji',
    'Gurjar Apabhramsa',
    'Guro',
    'Guruntum',
    'Gusii',
    'Gutnish',
    'Guugu Yimidhirr',
    'Guwar',
    'Guyanese Creole English',
    'Guébie',
    'Gvoko',
    'Gwahatike',
    'Gwara',
    'Gweda',
    'Gweno',
    'Gwere',
    'Güenoa',
    'Hadza',
    'Haeke',
    'Hahon',
    'Haida',
    'Hainyaxo Bozo',
    'Haitian Creole',
    'Haitian Vodoun Culture Language',
    'Hajong',
    'Hakö',
    'Halbi',
    'Halegannada',
    'Halia',
    'Halkomelem',
    'Hamer-Banna',
    'Hamtai',
    'Hanga Hundi',
    'Hanja',
    'Hanunoo',
    'Hanzi',
    'Harari',
    'Haroi',
    'Harsusi',
    'Haruai',
    'Haryanvi',
    'Hasha',
    'Hassaniya',
    'Hatam',
    'Hattic',
    'Hausa',
    'Haush',
    'Havasupai-Walapai-Yavapai',
    'Haveke',
    'Hawaiian',
    'Hazaragi',
    'Hdi',
    'Hebrew',
    'Hehe',
    'Heiltsuk',
    'Herdé',
    'Herero',
    'Heyo',
    'Hidatsa',
    'Highland Oaxaca Chontal',
    'Highland Popoluca',
    'Highland Puebla Nahuatl',
    'Highland Totonac',
    'Hijazi Arabic',
    'Hiligaynon',
    'Himyaritic',
    'Hindi',
    'Hinukh',
    'Hiri Motu',
    'Hismaic',
    'Hitchiti',
    'Hittite',
    'Hiw',
    'Hixkaryana',
    'Hlai',
    'Hlepho Phowa',
    'Hmwaveke',
    'Hoava',
    'Hobyót',
    'Holikachuk',
    'Hone',
    'Hopi',
    'Horom',
    'Horpa',
    'Hote',
    'Hoyahoya',
    'Hre',
    'Hruso',
    'Htponyms',
    'Hu',
    'Huambisa',
    'Huaorani',
    'Huba',
    'Huehuetla Tepehua',
    'Hula',
    'Huli',
    'Hungarian',
    'Hunsrik',
    'Hunzib',
    'Hupa',
    'Hupdë',
    'Hurrian',
    'Hyam',
    'Hypernums',
    'Hän',
    'IPA',
    'Iaai',
    'Iamalele',
    'Iatmul',
    'Iau',
    'Ibaloi',
    'Iban',
    'Ibanag',
    'Ibani',
    'Ibatan',
    'Iberian',
    'Ibibio',
    'Ibino',
    'Ibuoro',
    'Icelandic',
    'Iceve-Maci',
    'Idi',
    'Idioms',
    'Ido',
    'Idu',
    'Iduna',
    'Igbo',
    'Ignaciano',
    'Ik',
    'Ikaranggal',
    'Ikizu',
    'Iko',
    'Ikobi-Mena',
    'Ikulu',
    'Ila',
    'Ilgar',
    'Ilianen Manobo',
    'Ilocano',
    'Ilongot',
    'Ilue',
    'Imonda',
    'Inabaknon',
    'Inari Sami',
    'Indian Sign Language',
    'Indo-Portuguese',
    'Indonesia',
    'Indonesian Bajau',
    'Indonesian',
    'Indus Kohistani',
    'Inebu One',
    'Ineseño',
    'Inga',
    'Ingrian',
    'Ingush',
    'Inonhan',
    'Interlingua',
    'Interlingue',
    'Inuktitut',
    'Inupiak',
    'Inuvialuktun',
    'Ipai',
    'Ipiko',
    'Ipulo',
    'Iquito',
    'Iranun',
    'Iraqi Arabic',
    'Iraqw',
    'Irarutu',
    'Iraya',
    'Iriga Bicolano',
    'Irish',
    'Isabi',
    'Isan',
    'Isebe',
    'Ishkashimi',
    'Isinai',
    'Isnag',
    'Isthmus Zapotec',
    'Istriot',
    'Istro-Romanian',
    'Isubu',
    'Italian',
    'Italiot Greek',
    'Itawit',
    'Itelmen',
    'Itene',
    'Itik',
    'Itonama',
    'Itu Mbon Uzo',
    'Itzá',
    'Ivatan',
    'Iwaidja',
    'Iwal',
    'Iwam',
    'Ixil',
    'Iyive',
    'Izere',
    'Izon',
    'Jabem',
    'Jabutí',
    'Jakaltek',
    'Jamaican Creole',
    'Jamamadí',
    'Jaminjung',
    'Jamsay',
    'Jamtish',
    'Janday',
    'Japanese',
    'Japhug',
    'Jarai',
    'Jarawa',
    'Jaru',
    'Jassic',
    'Javanese',
    'Jawe',
    'Jebero',
    'Jeh',
    'Jehai',
    'Jeikó',
    'Jemez',
    'Jenaama Bozo',
    'Jeri Kuo',
    'Jersey Dutch',
    'Jeru',
    'Jerung',
    'Jibu',
    'Jicarilla',
    'Jili',
    'Jilim',
    'Jingpho',
    'Jingulu',
    'Jirajira',
    'Jita',
    'Jola-Fonyi',
    'Jowulu',
    'Juang',
    'Juba Arabic',
    'Judeo-Arabic',
    'Judeo-Italian',
    'Judeo-Tat',
    'Jumaytepeque',
    'Jumjum',
    'Jur Modo',
    'Jurchen',
    'Jutiapa',
    'Kabardian',
    'Kabishiana',
    'Kabiyé',
    'Kabuverdianu',
    'Kabyle',
    'Kachama-Ganjule',
    'Kachchi',
    'Kadaru',
    'Kadiwéu',
    'Kadugli',
    'Kaera',
    'Kagayanen',
    'Kahua',
    'Kaiep',
    'Kaingang',
    'Kairiru',
    'Kaiwá',
    'Kakabai',
    'Kakabe',
    'Kakanda',
    'Kaki Ae',
    'Kala Lagaw Ya',
    'Kala',
    'Kalabari',
    'Kalami',
    'Kalanga',
    'Kalasha',
    'Kalenjin',
    'Kalkatungu',
    'Kalmyk',
    'Kalo Finnish Romani',
    'Kaluli',
    'Kamakan',
    'Kamang',
    'Kamano',
    'Kamarian',
    'Kamasa',
    'Kamasau',
    'Kamassian',
    'Kamayurá',
    'Kamba',
    'Kambera',
    'Kami',
    'Kamkata-viri',
    'Kamta',
    'Kamula',
    'Kamwe',
    'Kanakanabu',
    'Kanamari',
    'Kandas',
    'Kangri',
    'Kaninuwa',
    'Kanji',
    'Kankanaey',
    'Kannada',
    'Kanowit',
    'Kanoé',
    'Kansa',
    'Kanufi',
    'Kanuri',
    'Kap',
    'Kapampangan',
    'Kapauri',
    'Kapin',
    'Kapingamarangi',
    'Kaqchikel',
    'Kara (New Guinea)',
    'Karachay-Balkar',
    'Karaim',
    'Karajá',
    'Karakalpak',
    'Karakhanid',
    'Karamojong',
    'Karankawa',
    'Karao',
    'Karata',
    'Karawa',
    'Kare (New Guinea)',
    'Karekare',
    'Karelian',
    'Karipúna Creole French',
    'Kariri',
    'Karitiâna',
    'Karkar-Yuri',
    'Karnai',
    'Karo Batak',
    'Karok',
    'Kasem',
    'Kashaya',
    'Kashmiri',
    'Kashubian',
    'Kaska',
    'Kaskihá',
    'Kassite',
    'Kassonke',
    'Kasua',
    'Katembri',
    'Kathlamet',
    'Kato',
    'Katukina',
    'Kaurna',
    'Kavalan',
    'Kawacha',
    'Kawaiisu',
    'Kawishana',
    'Kawésqar',
    'Kaxararí',
    'Kaxuyana',
    'Kayabí',
    'Kayagar',
    'Kayapa Kallahan',
    'Kayapó',
    'Kayardild',
    'Kayeli',
    'Kaytetye',
    'Kazakh',
    'Kazukuru',
    'Keapara',
    'Kedah Malay',
    'Kedang',
    'Kein',
    'Kelabit',
    'Keliko',
    'Kelon',
    'Kemak',
    'Kemezung',
    'Kemi Sami',
    'Kemtuik',
    'Kendayan',
    'Kenga',
    'Keningau Murut',
    'Keoru-Ahia',
    'Kera',
    'Kereho',
    'Kerek',
    'Kerewo',
    'Kerinci',
    'Kermanic',
    'Kesawai',
    'Ket',
    'Kewa',
    'Khakas',
    'Khaling',
    'Khana',
    'Khanty',
    'Kharia',
    'Khasi',
    'Khazar',
    'Khengkha',
    'Khinalug',
    'Khitan',
    'Khmer',
    'Khmu',
    'Khowar',
    'Khvarshi',
    'Khwe',
    'Khün',
    'Kibena',
    'Kibiri',
    'Kichwa',
    'Kickapoo',
    'Kikai',
    'Kikuyu',
    'Kildin Sami',
    'Kilit',
    'Kilivila',
    'Kiliwa',
    'Kimaragang',
    'Kimbundu',
    'Kinalakna',
    'Kinaray-a',
    'Kings River Yokuts',
    'Kinikinao',
    'Kinnauri',
    'Kiowa',
    'Kiput',
    'Kir-Balar',
    'Kirfi',
    'Kirike',
    'Kirikiri',
    'Kirya-Konzel',
    'Kis',
    'Kisar',
    'Kistane',
    'Kitanemuk',
    'Kitsai',
    'Kituba',
    'Klallam',
    'Klamath-Modoc',
    'Klao',
    'Klias River Kadazan',
    'Knaanic',
    'Koalib',
    'Koasati',
    'Kobon',
    'Kofyar',
    'Kohistani Shina',
    'Koho',
    'Koitabu',
    'Kok-Nar',
    'Kok-Paponk',
    'Kokborok',
    'Koko-Bera',
    'Kokoda',
    'Kokota',
    'Kolbila',
    'Kolom',
    'Koluwawa',
    'Kom (Cameroon)',
    'Komba',
    'Komering',
    'Komi-Permyak',
    'Komi-Zyrian',
    'Komodo',
    'Komyandaret',
    'Konabéré',
    'Konda',
    'Kongo',
    'Konkani',
    'Konkomba',
    'Kono (Sierra Leone)',
    'Konomala',
    'Konomihu',
    'Koorete',
    'Korak',
    'Korean',
    'Koreguaje',
    'Korku',
    'Korlai Creole Portuguese',
    'Koro (India)',
    'Koronadal Blaan',
    'Koroni',
    'Korowai',
    'Korwa',
    'Koryak',
    'Koshin',
    'Kosraean',
    'Kott',
    'Kovai',
    'Kove',
    'Kowiai',
    'Koyo',
    'Koyra Chiini',
    'Koyraboro Senni',
    'Koyukon',
    'Kpan',
    'Kpasam',
    'Kpee',
    'Kpelle',
    'Kresh',
    'Krio',
    'Kriol',
    'Krisa',
    'Kristang',
    'Krobu',
    'Krongo',
    'Krymchak',
    'Kryts',
    'Kua-nsi',
    'Kuamasi',
    'Kubo',
    'Kugbo',
    'Kui (India)',
    'Kuikúro',
    'Kuku-Thaypan',
    'Kuku-Uwanh',
    'Kuku-Yalanji',
    'Kulere',
    'Kulisusu',
    'Kulon-Pazeh',
    'Kumak',
    'Kuman',
    'Kumaoni',
    'Kumarbhag Paharia',
    'Kumukio',
    'Kumyk',
    'Kumzari',
    'Kuna',
    'Kunama',
    'Kunigami',
    'Kunjen',
    'Kupa',
    'Kuranko',
    'Kurdish',
    'Kuri',
    'Kuria',
    'Kurnai',
    'Kurtjar',
    'Kurtop',
    'Kurudu',
    'Kurukh',
    'Kustenau',
    'Kusunda',
    'Kutenai',
    'Kuuk Thaayorre',
    'Kuvi',
    'Kuy',
    'Kven',
    'Kwaio',
    'Kwalhioqua-Tlatskanai',
    'Kwang',
    'Kwangali',
    'Kwanja',
    'Kwanka',
    'Kwanyama',
    'Kwaya',
    'Kwaza',
    'Kwerba',
    'Kwini',
    'Kwoma',
    'Kyenga',
    'Kyrgyz',
    'Kâte',
    'Kómnzo',
    'Laal',
    'Labu',
    'Labuk-Kinabatangan Kadazan',
    'Lacandon',
    'Lachixío Zapotec',
    'Ladakhi',
    'Ladin',
    'Ladino',
    'Lafofa',
    'Lagwan',
    'Laha (Vietnam)',
    'Lahu',
    'Lai',
    'Lak',
    'Lakalei',
    'Lake Miwok',
    'Laki',
    'Lakkia',
    'Lakota',
    'Lala',
    'Lama Bai',
    'Lamaholot',
    'Lamang',
    'Lambadi',
    'Lamboya',
    'Lamet',
    'Lamma',
    'Lampung Api',
    'Langnian Buyang',
    'Lango (Uganda)',
    'Lao',
    'Lapaguía-Guivini Zapotec',
    'Lardil',
    'Lari',
    'Larike-Wakasihu',
    'Laru',
    'Lashi',
    'Latgalian',
    'Latin',
    'Latundê',
    'Latvian',
    'Lau',
    'Lauje',
    'Laurentian',
    'Lavatbura-Lamusong',
    'Laven',
    'Lavukaleve',
    'Lawangan',
    'Lawi',
    'Laz',
    'Ledo Kaili',
    'Leipon',
    'Lele (Chad)',
    'Lele (Guinea)',
    'Lemnian',
    'Lendu',
    'Lengo',
    'Leonese',
    'Lepcha',
    'Lepontic',
    'Leti (Indonesia)',
    'Lezgi',
    'Lhao Vo',
    'Libyan Arabic',
    'Ligbi',
    'Ligurian',
    'Likum',
    'Lillooet',
    'Limbu',
    'Limburgish',
    'Limilngan',
    'Limos Kalinga',
    'Lingala',
    'Lingao',
    'Lingombe',
    'Lipan',
    'Lishana Deni',
    'Lishanid Noshan',
    'Lithuanian',
    'Livonian',
    'Livvi',
    'Lizu',
    'Lo-Toga',
    'Logba',
    'Logo',
    'Logooli',
    'Loko',
    'Loloda',
    'Lolopo',
    'Lombard',
    'Longgu',
    'Longuda',
    'Loniu',
    'Lonwolwol',
    'Looma',
    'Lorrain',
    'Lote',
    'Lotud',
    'Lotuko',
    'Lou',
    'Louisiana Creole French',
    'Lovono',
    'Low German',
    'Lower Grand Valley Dani',
    'Lower Sorbian',
    'Lower Tanana',
    'Loxicha Zapotec',
    'Lozi',
    'Luang',
    'Luba-Katanga',
    'Lubuagan Kalinga',
    'Ludian',
    'Luganda',
    'Lugbara',
    'Luguru',
    'Luhu',
    'Luhya',
    'Luiseño',
    'Lule Sami',
    'Lule',
    'Lun Bawang',
    'Lunda',
    'Luo',
    'Luri (Nigeria)',
    'Lushootseed',
    'Lusi',
    'Lusitanian',
    'Luvale',
    'Luwati',
    'Luwian',
    'Luwo',
    'Luxembourgish',
    'Lycian',
    'Lydian',
    'Lü',
    'Ma Manda',
    'Maaka',
    'Maasai',
    'Maay',
    'Mabaan',
    'Macaguán',
    'Macanese',
    'Macedonian',
    'Machame',
    'Machiguenga',
    'Macoris',
    'Macuna',
    'Macushi',
    'Mada (Nigeria)',
    'Madak',
    'Madurese',
    'Mag-Anchi Ayta',
    'Mag-Indi Ayta',
    'Magadhi Prakrit',
    'Magdalena Peñasco Mixtec',
    'Magori',
    'Maguindanao',
    'Maharastri Prakrit',
    'Mahou',
    'Maia',
    'Mailu',
    'Mairasi',
    'Maithili',
    'Mak (China)',
    'Makah',
    'Makalero',
    'Makasae',
    'Makasar',
    'Makhuwa',
    'Makonde',
    'Mala (New Guinea)',
    'Malagasy',
    'Malalamai',
    'Malalí',
    'Malango',
    'Malas',
    'Malasanga',
    'Malay',
    'Malayalam',
    'Malaynon',
    'Malecite-Passamaquoddy',
    'Malibu',
    'Malila',
    'Malinaltepec Tlapanec',
    'Maltese',
    'Malvi',
    'Maléku Jaíka',
    'Mam',
    'Mamaindé',
    'Mamanwa',
    'Mamasa',
    'Mambae',
    'Mamboru',
    'Mambwe-Lungu',
    'Mamluk-Kipchak',
    'Mampruli',
    'Mamuju',
    'Manam',
    'Manambu',
    'Manao',
    'Manchu',
    'Manda',
    'Mandahuaca',
    'Mandaic',
    'Mandan',
    'Mandar',
    'Mandara',
    'Mandarin',
    'Mandinka',
    'Mandobo Atas',
    'Mandobo Bawah',
    'Mang',
    'Mangarayi',
    'Mangarevan',
    'Mangas',
    'Manggarai',
    'Mangghuer',
    'Manikion',
    'Manipa',
    'Manipuri',
    'Mankanya',
    'Mano',
    'Mansaka',
    'Mansi',
    'Manta',
    'Manx',
    'Manza',
    'Maonan',
    'Maore Comorian',
    'Maori',
    'Mapidian',
    'Mapos Buang',
    'Mapoyo',
    'Mapudungun',
    'Mapun',
    'Maquiritari',
    'Mara Chin',
    'Maranao',
    'Maranungku',
    'Marathi',
    'Maratino',
    'Marau',
    'Marawan',
    'Marba',
    'Margany',
    'Margi',
    'Maricopa',
    'Maridan',
    'Maridjabin',
    'Marik',
    'Marimanindji',
    'Maringarr',
    'Maroon Spirit Language',
    'Marriammu',
    'Marrithiyel',
    'Marrucinian',
    'Marshallese',
    'Marsian',
    'Marti Ke',
    'Martu Wangka',
    'Martuthunira',
    'Marwari',
    'Masaba',
    'Masakará',
    'Masalit',
    'Masbatenyo',
    'Masimasi',
    'Masiwang',
    'Maskelynes',
    'Massachusett',
    'Matagalpa',
    'Matal',
    'Matanawi',
    'Matbat',
    'Matengo',
    'Matepi',
    'Matigsalug Manobo',
    'Matlatzinca',
    'Mato Grosso Arára',
    'Mato',
    'Mator',
    'Matsés',
    'Matukar',
    'Matumbi',
    'Maung',
    'Mauritian Creole',
    'Mauwake',
    'Mawan',
    'Maxakalí',
    'Mayangna',
    'Maybrat',
    'Maykulan',
    'Maynas',
    'Mayo',
    'Mayoyao Ifugao',
    'Maypure',
    'Mazanderani',
    'Mazatlán Mazatec',
    'Mbabaram',
    'Mbandja',
    'Mbariman-Gudhinma',
    'Mbay',
    'Mbesa',
    'Mbre',
    'Mbudum',
    'Mbugu',
    'Mbuko',
    'Mbula',
    'Mbunda',
    'Mbyá Guaraní',
    'Mecayapan Nahuatl',
    'Medebur',
    'Media Lengua',
    'Megleno-Romanian',
    'Mehek',
    'Mehináku',
    'Mehri',
    'Mekeo',
    'Mekwei',
    'Mele-Fila',
    'Melo',
    'Memoni',
    'Mende',
    'Mengen',
    'Menien',
    'Menka',
    'Menominee',
    'Mentawai',
    'Menya',
    'Meqzuital Otomi',
    'Meramera',
    'Merei',
    'Merey',
    'Meriam',
    'Meroitic',
    'Meru',
    'Mesaka',
    'Mewari',
    'Meyah',
    'Mezquital Otomi',
    'Meänkieli',
    'Mfinu',
    'Mfumte',
    'Miami',
    'Mian',
    'Michif',
    'Michoacán Nahuatl',
    'Middle Armenian',
    'Middle Cornish',
    'Middle Dutch',
    'Middle English',
    'Middle French',
    'Middle Gujarati',
    'Middle High German',
    'Middle Irish',
    'Middle Japanese',
    'Middle Korean',
    'Middle Low German',
    'Middle Mongolian',
    'Middle Norwegian',
    'Middle Persian',
    'Middle Vietnamese',
    'Middle Watut',
    'Middle Welsh',
    'Midob',
    'Migaama',
    'Miji',
    'Miju',
    'Mikasuki',
    'Milang',
    'Millcayac',
    'Mimi of Decorse',
    'Mimi of Nachtigal',
    'Min Nan',
    'Mina',
    'Minangkabau',
    'Minanibai',
    'Minaveha',
    'Mindiri',
    'Mingrelian',
    'Minica Huitoto',
    'Minidien',
    'Minigir',
    'Minoan',
    'Mirandese',
    'Misantla Totonac',
    'Miship',
    'Misima-Paneati',
    'Mising',
    'Miskito',
    'Mitla Zapotec',
    'Mixifore',
    'Mixtepec Zapotec',
    'Miya',
    'Miyako',
    'Mizo',
    'Mlap',
    'Mmani',
    'Mmen',
    'Mo',
    'Moabite',
    'Mobilian',
    'Mocana',
    'Mochica',
    'Mocho',
    'Modole',
    'Moere',
    'Mofu-Gudur',
    'Mogholi',
    'Mohawk',
    'Mohegan-Pequot',
    'Moikodi',
    'Mojave',
    'Mokpwe',
    'Moksha',
    'Molbog',
    'Molima',
    'Molise Croatian',
    'Molmo One',
    'Molo',
    'Moloko',
    'Moma',
    'Mon',
    'Mondé',
    'Mongghul',
    'Mongo',
    'Mongolian',
    'Mongondow',
    'Montagnais',
    'Montana Salish',
    'Montol',
    'Monumbo',
    'Moore',
    'Mopan Maya',
    'Moran',
    'Morelos Nahuatl',
    'Mori Atas',
    'Mori Bawah',
    'Morigi',
    'Moro',
    'Moroccan Amazigh',
    'Moroccan Arabic',
    'Morom',
    'Moronene',
    'Mortlockese',
    'Moru',
    'Mosimo',
    'Mota',
    'Motu',
    'Mouk-Aria',
    'Mountain Koiari',
    'Movima',
    'Mozarabic',
    'Mpade',
    'Mpotovoro',
    'Mpuono',
    'Mpur',
    'Muak Sa-aak',
    'Mubami',
    'Mubi',
    'Mucuchí',
    'Mudburra',
    'Muduapa',
    'Muellama',
    'Muher',
    'Muinane',
    'Mulam',
    'Muna',
    'Mundabli',
    'Mundani',
    'Mundari',
    'Mundat',
    'Mundurukú',
    'Mungaka',
    'Mungbam',
    'Munggui',
    'Mungkip',
    'Munit',
    'Munji',
    'Munsee',
    'Muong',
    'Mur Pano',
    'Muratayak',
    'Murik (New Guinea)',
    'Murrinh-Patha',
    'Murui Huitoto',
    'Murupi',
    'Muruwari',
    'Musgu',
    'Musi',
    'Musom',
    'Mussau-Emira',
    'Muya',
    'Muyang',
    'Muyuw',
    'Muzo',
    'Mwaghavul',
    'Mwan',
    'Mwani',
    'Mwotlap',
    'Mycenaean Greek',
    'Mòcheno',
    'Mündü',
    'Na',
    'Naba',
    'Nabak',
    'Nabi',
    'Nadugannada',
    'Nadëb',
    'Nafaanra',
    'Nafi',
    'Nage',
    'Nagtipunan Agta',
    'Nahuatl',
    'Najdi Arabic',
    'Nakame',
    'Nakanai',
    'Nake',
    'Naki',
    'Nalca',
    'Nali',
    'Nalik',
    'Nama',
    'Namakura',
    'Nambikwara',
    'Names',
    'Namia',
    'Namuyi',
    'Nanai',
    'Nande',
    'Nandi',
    'Nanticoke',
    'Nar Phu',
    'Narragansett',
    'Narungga',
    'Nasioi',
    'Naskapi',
    'Nataoran Amis',
    'Natú',
    'Nauete',
    'Naukanski',
    'Nauna',
    'Nauruan',
    'Navajo',
    'Navarro-Aragonese',
    'Nawaru',
    'Naxi',
    'Ncane',
    'Ndali',
    'Nde-Nsele-Nta',
    'Ndjébbana',
    'Ndo',
    'Ndoe',
    'Ndom',
    'Ndonga',
    'Neapolitan',
    'Nedebang',
    'Nefusa',
    'Negerhollands',
    'Negidal',
    'Nehan',
    'Nek',
    'Nekgini',
    'Neko',
    'Nemi',
    'Nen',
    'Nend',
    'Nengone',
    'Nepali',
    'Neverver',
    'Newari',
    'Nez Perce',
    'Ngaanyatjarra',
    'Ngadha',
    'Ngaing',
    'Ngaju',
    'Ngalakan',
    'Ngalum',
    'Ngam',
    'Ngamambo',
    'Ngamo',
    'Nganasan',
    'Ngandi',
    'Ngarinyin',
    'Ngarluma',
    'Ngarrindjeri',
    'Ngas',
    'Ngawun',
    'Ngazidja Comorian',
    'Ngbaka Manza',
    'Ngbaka',
    'Ngie',
    'Ngiemboon',
    'Ngiyambaa',
    'Ngizim',
    'Ngomba',
    'Ngoshie',
    'Ngwo',
    'Nhanda',
    'Nhengatu',
    'Nias',
    'Nicola',
    'Nigerian Pidgin',
    'Nihali',
    'Nimadi',
    'Nimboran',
    'Nimoa',
    'Ninggerum',
    'Ningil',
    'Ningye',
    'Ninzo',
    'Nisenan',
    'Niuatoputapu',
    'Niuean',
    'Nivkh',
    'Niwer Mil',
    'Njen',
    'Nkari',
    'Nkem-Nkum',
    'Nkoroo',
    'Nnam',
    'Nobiin',
    'Nobonob',
    'Nogai',
    'Nomatsiguenga',
    'Nomlaki',
    'Nonuya',
    'Noon',
    'Noone',
    'Nootka',
    'Noric',
    'Norman',
    'Norn',
    'North Ambrym',
    'North Efate',
    'North Frisian',
    'North Giziga',
    'North Levantine Arabic',
    'North Marquesan',
    'North Muyu',
    'North Tairora',
    'North Wahgi',
    'North Watut',
    'Northeast Kiwai',
    'Northeast Maidu',
    'Northeast Pashayi',
    'Northern Alta',
    'Northern Altai',
    'Northern Amami-Oshima',
    'Northern Bai',
    'Northern Catanduanes Bicolano',
    'Northern Dagara',
    'Northern East Cree',
    'Northern Emberá',
    'Northern Haida',
    'Northern Kankanay',
    'Northern Kurdish',
    'Northern Luri',
    'Northern Ndebele',
    'Northern Ohlone',
    'Northern Paiute',
    'Northern Puebla Nahuatl',
    'Northern Pumi',
    'Northern Roglai',
    'Northern Sami',
    'Northern Sierra Miwok',
    'Northern Sotho',
    'Northern Thai',
    'Northern Tujia',
    'Northern Valley Yokuts',
    'Northern Yukaghir',
    'Northwest Gbaya',
    'Norwegian Bokmål',
    'Norwegian Nynorsk',
    'Norwegian',
    'Notsi',
    'Nottoway',
    'Novial',
    'Nsari',
    'Ntcham',
    'Nubi',
    'Nuer',
    'Nuguria',
    'Nuk',
    'Nukak Makú',
    'Nukuoro',
    'Numanggang',
    'Numbami',
    'Nung',
    'Nunggubuyu',
    'Nungon',
    'Nupe',
    'Nusu',
    'Nutabe',
    'Nyah Kur',
    'Nyakyusa',
    'Nyamwezi',
    'Nyankole',
    'Nyawaygi',
    'Nyenkha',
    'Nyindrou',
    'Nyishi',
    'Nyoro',
    'Nyunga',
    'Nyâlayu',
    'Nzadi',
    'Nzanyi',
    'Nzima',
    'Nüpode Huitoto',
    'Nǀuu',
    'Obispeño',
    'Obokuitai',
    'Obolo',
    'Ocaina',
    'Occitan',
    'Ocotlán Zapotec',
    'Odual',
    'Ogbah',
    'Ogbia',
    'Ogbronuagum',
    'Ogea',
    'Oirata',
    'Ojibwe',
    'Okanagan',
    'Oki-No-Erabu',
    'Okinawan',
    'Okobo',
    'Okodia',
    'Okolod',
    'Oksapmin',
    'Okwanuchu',
    'Old Armenian',
    'Old Assamese',
    'Old Breton',
    'Old Catalan',
    'Old Church Slavonic',
    'Old Czech',
    'Old Danish',
    'Old Dutch',
    'Old East Slavic',
    'Old English',
    'Old French',
    'Old Frisian',
    'Old Georgian',
    'Old Gujarati',
    'Old High German',
    'Old Hindi',
    'Old Irish',
    'Old Japanese',
    'Old Javanese',
    'Old Khmer',
    'Old Korean',
    'Old Latin',
    'Old Leonese',
    'Old Lithuanian',
    'Old Marathi',
    'Old Median',
    'Old Norse',
    'Old Novgorodian',
    'Old Nubian',
    'Old Occitan',
    'Old Persian',
    'Old Polish',
    'Old Portuguese',
    'Old Prussian',
    'Old Saxon',
    'Old South Arabian',
    'Old Spanish',
    'Old Swedish',
    'Old Tamil',
    'Old Tupi',
    'Old Turkic',
    'Old Uyghur',
    'Old Welsh',
    'Olo',
    'Omagua',
    'Omaha-Ponca',
    'Omba',
    'Omi',
    'Ongota',
    'Onin',
    'Onobasulu',
    'Ontong Java',
    'Opao',
    'Opón',
    'Orejón',
    'Oriya',
    'Ormuri',
    'Oro',
    'Oroch',
    'Oroha',
    'Orok',
    'Orokolo',
    'Oromo',
    'Oroqen',
    'Oruma',
    'Orya',
    'Osage',
    'Osatu',
    'Oscan',
    'Ossetian',
    'Ot Danum',
    'Otomaco',
    'Ottawa',
    'Ottoman Turkish',
    'Owa',
    'Oyda',
    'Ozolotepec Zapotec',
    'Pa',
    'Paama',
    'Pacoh',
    'Padoe',
    'Paelignian',
    'Paeonian',
    'Pagu',
    'Pahanan Agta',
    'Pahi',
    'Pai-lang',
    'Paicî',
    'Paikoneka',
    'Paite',
    'Paiwan',
    'Pakanha',
    'Palauan',
    'Palawan Batak',
    'Palenquero',
    'Palewyami',
    'Pali',
    'Palikur',
    'Palor',
    'Palta',
    'Pamigua',
    'Pamlico',
    'Pamona',
    'Pamosu',
    'Pamplona Atta',
    'Pana (Central Africa)',
    'Panamint',
    'Panare',
    'Pande',
    'Pangasinan',
    'Pangseng',
    'Pangutaran Sama',
    'Pangwa',
    'Panim',
    'Pankararú',
    'Panyjima',
    'Panzaleo',
    'Papantla Totonac',
    'Papapana',
    'Papar',
    'Papiamentu',
    'Papora',
    'Papuan Gimi',
    'Papuma',
    'Paraguayan Guaraní',
    'Paratió',
    'Pare',
    'Pareci',
    'Paronyms',
    'Parthian',
    'Parya',
    'Pará Arára',
    'Pashto',
    'Pass Valley Yali',
    'Patagón',
    'Patpatar',
    'Pattani Malay',
    'Pattani',
    'Patwin',
    'Paulohi',
    'Paumarí',
    'Paunaca',
    'Pawaia',
    'Pawnee',
    'Payaguá',
    'Peere',
    'Pela',
    'Pele-Ata',
    'Pemon',
    'Penchal',
    'Pendau',
    'Pennsylvania German',
    'Penobscot',
    'Penrhyn',
    'Perema',
    'Pericú',
    'Pero',
    'Persian',
    'Petats',
    'Peñoles Mixtec',
    'Phake',
    'Phalura',
    'Phoenician',
    'Phola',
    'Phom',
    'Phrygian',
    'Phuthi',
    'Phuza',
    'Piamatsina',
    'Piapoco',
    'Piaroa',
    'Picard',
    'Pictish',
    'Picuris',
    'Piedmontese',
    'Pijao',
    'Pije',
    'Pijin',
    'Pilagá',
    'Pileni',
    'Pima Bajo',
    'Pimbwe',
    'Pintiini',
    'Pinyin',
    'Pipil',
    'Pirahã',
    'Pitcairn-Norfolk',
    'Pite Sami',
    'Pitjantjatjara',
    'Pitta-Pitta',
    'Plains Apache',
    'Plains Cree',
    'Plains Miwok',
    'Plautdietsch',
    'Pochutec',
    'Podoko',
    'Pohnpeian',
    'Poitevin-Saintongeais',
    'Polabian',
    'Polish',
    'Pom',
    'Ponosakan',
    'Pontic Greek',
    'Portuguese',
    'Potawatomi',
    'Pouye',
    'Powhatan',
    'Prasuni',
    'Prefix',
    'Primitive Irish',
    'Principense',
    'Prooun',
    'Proto-Brythonic',
    'Proto-Norse',
    'Puinave',
    'Pukapukan',
    'Pulabu',
    'Puluwat',
    'Pumpokol',
    'Pumé',
    'Punic',
    'Punjabi',
    'Puragi',
    'Purari',
    'Purepecha',
    'Purukotó',
    'Puyuma',
    'Pwaamei',
    'Qabiao',
    'Qaqet',
    'Qimant',
    'Quapaw',
    'Quechua',
    'Queyu',
    'Quileute',
    'Quimbaya',
    'Quinault',
    'Quioquitani-Quierí Zapotec',
    'Quiripi',
    'Quitemo',
    'Rabha',
    'Rabona',
    'Rade',
    'Raga',
    'Rahambuu',
    'Rajasthani',
    'Rajbanshi',
    'Ralte',
    'Rama',
    'Ramoaaina',
    'Rang',
    'Rapa Nui',
    'Rapa',
    'Rapting',
    'Rarotongan',
    'Rasawa',
    'Ratagnon',
    'Ratahan',
    'Raute',
    'Rawa',
    'Rawang',
    'Rayón Zoque',
    'Red Gelao',
    'Reel',
    'Rejang Kayan',
    'Rejang',
    'Related characters',
    'Related chatacters',
    'Related',
    'Relational',
    'Rembong',
    'Remontado Agta',
    'Rempi',
    'Rendille',
    'Rennellese',
    'Repanbitip',
    'Rerau',
    'Rerep',
    'Reshe',
    'Resígaro',
    'Retta',
    'Reyesano',
    'Rhine Franconian',
    'Riantana',
    'Rikbaktsa',
    'Rincón Zapotec',
    'Rohingya',
    'Romagnol',
    'Romani',
    'Romanian',
    'Romansch',
    'Romblomanon',
    'Rombo',
    'Ron',
    'Ronga',
    'Ronji',
    'Roon',
    'Root',
    'Roro',
    'Rotokas',
    'Rotuman',
    'Roviana',
    'Rukai',
    'Rumai Palaung',
    'Rumu',
    'Rungus',
    'Rungwa',
    'Russenorsk',
    'Russian',
    'Rusyn',
    'Rutul',
    'Rwa',
    'Rwanda-Rundi',
    'Réunion Creole French',
    'Sa',
    'Saafi-Saafi',
    'Saamia',
    'Saanich',
    'Saaroa',
    'Sabah Bisaya',
    'Sabu',
    'Sacapulteco',
    'Saek',
    'Saep',
    'Safaitic',
    'Safeyoka',
    'Sahaptin',
    'Sahu',
    'Saisiyat',
    'Salar',
    'Saliba (Colombia)',
    'Saliba (New Guinea)',
    'Salinan',
    'Saluan',
    'Samaritan Aramaic',
    'Samaritan Hebrew',
    'Sambali',
    'Sambe',
    'Samo',
    'Samoan Plantation Pidgin',
    'Samoan',
    'Samogitian',
    'Samosa',
    'Samtao',
    'San Agustín Mixtepec Zapotec',
    'San Baltazar Loxicha Zapotec',
    'San Juan Colorado Mixtec',
    'San Juan Guelavía Zapotec',
    'San Miguel El Grande Mixtec',
    'San Pablo Güilá Zapotec',
    'San Pedro Amuzgos Amuzgo',
    'San Pedro Quiatoni Zapotec',
    'San Vicente Coatlán Zapotec',
    'Sanapaná',
    'Sanaviron',
    'Sandawe',
    'Sangil',
    'Sangir',
    'Sango',
    'Sani',
    'Saniyo-Hiyewe',
    'Sanskrit',
    'Santa Catarina Albarradas Zapotec',
    'Santa Inés Yatzechi Zapotec',
    'Santa María Quiegolani Zapotec',
    'Santali',
    'Santiago Xanica Zapotec',
    'Santo Domingo Albarradas Zapotec',
    'Sanumá',
    'Sapará',
    'Saposa',
    'Sapé',
    'Sar',
    'Sara',
    'Saramaccan',
    'Sarangani Blaan',
    'Sarangani Manobo',
    'Sarasira',
    'Saraveca',
    'Sarcee',
    'Sardinian',
    'Sarikoli',
    'Saruga',
    'Sasak',
    'Sassarese',
    'Satawalese',
    'Saterland Frisian',
    'Sathmar Swabian',
    'Sauraseni Apabhramsa',
    'Sauraseni Prakrit',
    'Saurashtra',
    'Sausi',
    'Savi',
    'Savosavo',
    'Sawai',
    'Sawi',
    'Sawriya Paharia',
    'Saya',
    'Sayula Popoluca',
    'Scanian',
    'Scots',
    'Scottish Gaelic',
    'Sebat Bet Gurage',
    'Sebop',
    'Sechura',
    'Secoya',
    'Sedang',
    'Sedoa',
    'See Also:',
    'Seenku',
    'Seim',
    'Seimat',
    'Sekani',
    'Sekar',
    'Selaru',
    'Selepet',
    'Selkup',
    'Selungai Murut',
    'Sema',
    'Semai',
    'Sembakung Murut',
    'Semelai',
    'Sena',
    'Seneca',
    'Senggi',
    'Sentani',
    'Sentinelese',
    'Sepa (New Guinea)',
    'Sepik Iwam',
    'Sera',
    'Seraiki',
    'Serbo-Croatian',
    'Serer',
    'Seri',
    'Serili',
    'Serrano',
    'Seru',
    'Serui-Laut',
    'Seta',
    'Seti',
    'Seychellois Creole',
    'Sha',
    'Shabo',
    'Shambala',
    'Shan',
    'Shanga',
    'Shaozhou Tuhua',
    'Shawnee',
    'Shebayo',
    'Shehri',
    'Shelta',
    'Sherbro',
    'Sherdukpen',
    'Sherpa',
    'Sheshi Kham',
    'Shilluk',
    'Shina',
    'Shipibo-Conibo',
    'Shixing',
    'Shona',
    'Shor',
    'Shoshone',
    'Shuar',
    'Shughni',
    'Shuswap',
    'Sialum',
    'Siane',
    'Siar-Lak',
    'Sichuan Yi',
    'Sicilian',
    'Sierra de Juárez Zapotec',
    'Sihan',
    'Sika',
    'Sikaiana',
    'Sikaritai',
    'Sikkimese',
    'Silesian',
    'Silimo',
    'Siliput',
    'Silopi',
    'Simbari',
    'Simeulue',
    'Sinacantán',
    'Sinagen',
    'Sinaugoro',
    'Sindhi',
    'Singpho',
    'Sinhalese',
    'Sinsauru',
    'Sinte Romani',
    'Sio',
    'Siona',
    'Sipakapense',
    'Sira',
    'Siraya',
    'Sirenik',
    'Siriano',
    'Sirionó',
    'Siroi',
    'Sissano',
    'Situ',
    'Siuslaw',
    'Siwi',
    'Skolt Sami',
    'Slavey',
    'Slovak',
    'Slovene',
    'Slovincian',
    'Sobei',
    'Sochiapam Chinantec',
    'Sogdian',
    'Sokna',
    'Sokoro',
    'Solon',
    'Solong',
    'Solos',
    'Somali',
    'Somba-Siawari',
    'Sonaga',
    'Soninke',
    'Sonsorolese',
    'Soo',
    'Sop',
    'Soqotri',
    'Sori-Harengan',
    'Sotho',
    'South Efate',
    'South Giziga',
    'South Levantine Arabic',
    'South Marquesan',
    'South Muyu',
    'South Picene',
    'South Slavey',
    'South Tairora',
    'South Watut',
    'Southeast Ambrym',
    'Southeast Ijo',
    'Southeast Pashayi',
    'Southeastern Tepehuan',
    'Southern Alta',
    'Southern Altai',
    'Southern Amami-Oshima',
    'Southern Bai',
    'Southern Bobo',
    'Southern Catanduanes Bicolano',
    'Southern East Cree',
    'Southern Hindko',
    'Southern Kalinga',
    'Southern Kam',
    'Southern Kurdish',
    'Southern Muji',
    'Southern Ndebele',
    'Southern Ohlone',
    'Southern Pumi',
    'Southern Qiang',
    'Southern Rincon Zapotec',
    'Southern Sama',
    'Southern Sami',
    'Southern Sierra Miwok',
    'Southern Thai',
    'Southern Tidong',
    'Southern Tiwa',
    'Southern Tujia',
    'Southern Valley Yokuts',
    'Southern Yukaghir',
    'Southwest Gbaya',
    'Southwest Palawano',
    'Southwestern Fars',
    'Spanish',
    'Squamish',
    'Sranan Tongo',
    'Stem set',
    'Stem sets',
    'Stem',
    'Suabo',
    'Suau',
    'Suba-Simbiti',
    'Subtiaba',
    'Sudanese Arabic',
    'Sudest',
    'Suena',
    'Sui',
    'Suki',
    'Sukur',
    'Sukurum',
    'Sulka',
    'Sulung',
    'Sumau',
    'Sumbawa',
    'Sumerian',
    'Sundanese',
    'Sunwar',
    'Supyire',
    'Sur',
    'Suri',
    'Surigaonon',
    'Sursurunga',
    'Susu',
    'Suyá',
    'Svan',
    'Swabian',
    'Swahili',
    'Swazi',
    'Swedish',
    'Sylheti',
    'Synonims',
    'Sácata',
    'Sãotomense',
    'Tabaa Zapotec',
    'Tabancale',
    'Tabaru',
    'Tabasaran',
    'Tabasco Chontal',
    'Tabasco Zoque',
    'Tabla',
    'Tabo',
    'Tabriak',
    'Tacana',
    'Tachawit',
    'Tadaksahak',
    'Tadyawan',
    'Tagakaulu Kalagan',
    'Tagal Murut',
    'Tagalog',
    'Tagargrent',
    'Tagbanwa',
    'Tagish',
    'Tahitian',
    'Tahltan',
    'Tai Dam',
    'Tai Hongjin',
    'Tai Nüa',
    'Taikat',
    'Taimyr Pidgin Russian',
    'Tainae',
    'Tairuma',
    'Tajik',
    'Tajio',
    'Takelma',
    'Takia',
    'Takuu',
    'Tal',
    'Tala',
    'Taliabu',
    'Talieng',
    'Talise',
    'Taloki',
    'Talu',
    'Talysh',
    'Tama (Chad)',
    'Tamambo',
    'Tamanaku',
    'Tambas',
    'Tambora',
    'Tambunan Dusun',
    'Tamil',
    'Tampuan',
    'Tanacross',
    'Tandaganon',
    'Tanema',
    'Tangale',
    'Tangam',
    'Tangoa',
    'Tangut',
    'Tanimbili',
    'Tanimuca-Retuarã',
    'Tanjijili',
    'Tanudan Kalinga',
    'Taos',
    'Tapachultec',
    'Taparita',
    'Tapirapé',
    'Tara Baka',
    'Tarairiú',
    'Tarantino',
    'Tarao',
    'Taraon',
    'Tariana',
    'Tarifit',
    'Tarok',
    'Taroko',
    'Tarpia',
    'Taruma',
    'Tashelhit',
    'Tasmanian',
    'Tat',
    'Tatana',
    'Tatar',
    'Tatuyo',
    'Taupota',
    'Tause',
    'Taushiro',
    'Tausug',
    'Tauya',
    'Tawala',
    'Tawang Monpa',
    'Tawasa',
    'Taworta',
    'Tawoyan',
    'Tayo',
    'Taznatit',
    'Tboli',
    'Teanu',
    'Tebul Ure Dogon',
    'Tedaga',
    'Tee',
    'Tegali',
    'Tehuelche',
    'Teiwa',
    'Tejalapan Zapotec',
    'Telugu',
    'Temascaltepec Nahuatl',
    'Tembé',
    'Temein',
    'Temne',
    'Tenharim',
    'Tennet',
    'Teop',
    'Tequistlatec',
    'Ter Sami',
    'Tera',
    'Terebu',
    'Teressa',
    'Teribe',
    'Ternate',
    'Tese',
    'Tetelcingo Nahuatl',
    'Tetserret',
    'Tetum',
    'Tewa',
    'Texmelucan Zapotec',
    'Tezoatlán Mixtec',
    'Thai',
    'Thangmi',
    'Thao',
    'Thompson',
    'Tiang',
    'Tibetan',
    'Ticuna',
    'Tidore',
    'Tigon Mbembe',
    'Tigre',
    'Tigrinya',
    'Tikopia',
    'Tilquiapan Zapotec',
    'Timbe',
    'Timote',
    'Timucua',
    'Timugon Murut',
    'Tindi',
    'Tinigua',
    'Tinputz',
    'Tipai',
    'Tiri',
    'Tiruray',
    'Titan',
    'Tivi',
    'Tiwa',
    'Tiwi',
    'Tlacolulita Zapotec',
    'Tlahuica',
    'Tlingit',
    'Toaripi',
    'Toba Batak',
    'Toba',
    'Toba-Maskoy',
    'Tobati',
    'Tobelo',
    'Tocantins Asurini',
    'Tocharian A',
    'Tocharian B',
    'Toda',
    'Tofa',
    'Tojolabal',
    'Tok Pisin',
    'Tokelauan',
    'Toku-No-Shima',
    'Tolai',
    'Tolaki',
    'Tolomako',
    'Tomadino',
    'Tomini',
    'Tommo So',
    'Tomoip',
    'Tongan',
    'Tonkawa',
    'Tontemboan',
    'Torau',
    'Toro',
    'Torres Strait Creole',
    'Torricelli Yau',
    'Torricelli',
    'Torwali',
    'Totoli',
    'Totontepec Mixe',
    'Totoro',
    'Toura',
    'Tourangeau',
    'Translingual',
    'Transylvanian Saxon',
    'Traveller Norwegian',
    'Trimuris',
    'Trinitario',
    'Troponyms',
    'Trumai',
    'Tsafiki',
    'Tsakhur',
    'Tsakonian',
    'Tsat',
    'Tsez',
    'Tshangla',
    'Tshobdun',
    'Tshwa',
    'Tsimané',
    'Tsimshian',
    'Tsonga',
    'Tsou',
    'Tsuvadi',
    'Tswana',
    'Tuamotuan',
    'Tuareg',
    'Tucano',
    'Tukang Besi North',
    'Tukang Besi South',
    'Tuki',
    'Tukudede',
    'Tule-Kaweah Yokuts',
    'Tulu',
    'Tulu-Bohuai',
    'Tumak',
    'Tumbuka',
    'Tumleo',
    'Tumzabt',
    'Tundra Nenets',
    'Tungag',
    'Tunica',
    'Tunisian Arabic',
    'Tunjung',
    'Tupinambá',
    'Turkana',
    'Turkish',
    'Turkmen',
    'Turoyo',
    'Tuscarora',
    'Tututni',
    'Tuvaluan',
    'Tuvan',
    'Tuwali Ifugao',
    'Tuyuca',
    'Tyap',
    'Tzeltal',
    'Tzotzil',
    'Tübatulabal',
    'Tübatulabla',
    'U',
    'Uab Meto',
    'Ubir',
    'Ubykh',
    'Uda',
    'Udi',
    'Udihe',
    'Udmurt',
    'Ugaritic',
    'Ujir',
    'Ukrainian',
    'Ukuriguma',
    'Ukwa',
    'Ulau-Suain',
    'Ulch',
    'Uldeme',
    'Uma',
    'Umbrian',
    'Umbu-Ungu',
    'Umbundu',
    'Ume Sami',
    'Umotína',
    'Unami',
    'Unde Kaili',
    'Undetermined',
    'Uneapa',
    'Uneme',
    'Unserdeutsch',
    'Unua',
    'Upper Kuskokwim',
    'Upper Sorbian',
    'Upper Tanana',
    'Ura (Vanuatu)',
    'Uradhi',
    'Urarina',
    'Urartian',
    'Urat',
    'Urdu',
    'Urhobo',
    'Uri',
    'Urim',
    'Uripiv-Wala-Rano-Atchin',
    'Uruangnirin',
    'Uruava',
    'Urubú-Kaapor',
    'Urum',
    'Usaghade',
    'Uspanteco',
    'Ute',
    'Utu',
    'Uyajitaya',
    'Uyghur',
    'Uzbek',
    'Vaghri',
    'Vaghua',
    'Vai',
    'Valle Nacional Chinantec',
    'Vamale',
    'Vandalic',
    'Vangunu',
    'Vanimo',
    'Varisi',
    'Varli',
    'Vayu',
    'Venda',
    'Venetian',
    'Venetic',
    'Ventureño',
    'Veps',
    'Vestinian',
    'Vietnamese',
    'Vilamovian',
    'Vilela',
    'Viti',
    'Volapük',
    'Volga German',
    'Volscian',
    'Votic',
    'Vunapu',
    'Vurës',
    'Vute',
    'Võro',
    'Waata',
    'Wab',
    'Wabo',
    'Waboda',
    'Wadjiginy',
    'Waffa',
    'Wagaya',
    'Wageman',
    'Wagi',
    'Waikuri',
    'Wailaki',
    'Waimaha',
    'Waimiri-Atroari',
    'Waiwai',
    'Wakhi',
    'Wala',
    'Wallisian',
    'Walloon',
    'Walmajarri',
    'Wamas',
    'Wambaya',
    'Wambon',
    'Wambule',
    'Wampar',
    'Wampur',
    'Wan',
    'Wanap',
    'Wancho',
    'Wandala',
    'Wandamen',
    'Waneci',
    'Wangkayutyuru',
    'Wangkumara',
    'Wanham',
    'Wano',
    'Wantoat',
    'Wanyi',
    'Wapishana',
    'Wappo',
    'War-Jaintia',
    'Warao',
    'Waray-Waray',
    'Wardaman',
    'Warekena',
    'Warembori',
    'Waris',
    'Warkay-Bipim',
    'Warlmanpa',
    'Warlpiri',
    'Warluwara',
    'Waropen',
    'Warrgamay',
    'Warungu',
    'Washo',
    'Waskia',
    'Wastek',
    'Wathaurong',
    'Watiwa',
    'Watubela',
    'Waube',
    'Wauja',
    'Wawa',
    'Wawonii',
    'Wayampi',
    'Wayana',
    'Wayumará',
    'Wayuu',
    'Wedau',
    'Welsh',
    'Wemba-Wemba',
    'Weri',
    'West Albay Bikol',
    'West Coast Bajau',
    'West Damar',
    'West Flemish',
    'West Frisian',
    'West Makian',
    'West Tarangan',
    'West Uvean',
    'Western Apache',
    'Western Arrernte',
    'Western Bukidnon Manobo',
    'Western Cham',
    'Western Dani',
    'Western Huasteca Nahuatl',
    'Western Jicaque',
    'Western Kayah',
    'Western Keres',
    'Western Lalu',
    'Western Mari',
    'Western Sisaala',
    'Western Subanon',
    'Western Tawbuid',
    'Western Yugur',
    'Westrobothnian',
    'Weyewa',
    'White Gelao',
    'White Hmong',
    'White Lachi',
    'Wichita',
    'Wik-Mungkan',
    'Wik-Ngathana',
    'Winnebago',
    'Wintu',
    'Wiradhuri',
    'Wiraféd',
    'Wiru',
    'Wirö',
    'Wiwa',
    'Wiyot',
    'Woccon',
    'Wogamusin',
    'Wogeo',
    'Woi',
    'Woiwurrung',
    'Wolani',
    'Wolaytta',
    'Woleaian',
    'Wolio',
    'Wolof',
    'Woods Cree',
    'Word',
    'Worimi',
    'Worora',
    'Woun Meu',
    'Written Oirat',
    'Wulguru',
    'Wusa Nasu',
    'Wusi',
    'Wutung',
    'Wuvulu-Aua',
    'Wyandot',
    'Xakriabá',
    'Xamtanga',
    'Xanaguía Zapotec',
    'Xaragure',
    'Xavante',
    'Xerénte',
    'Xhosa',
    'Xibe',
    'Xinca',
    'Xingú Asuriní',
    'Xipaya',
    'Xiriâna',
    'Xishanba Lalo',
    'Xukurú',
    'Xârâcùù',
    'Yabarana',
    'Yabong',
    'Yabula Yabula',
    'Yaeyama',
    'Yagaria',
    'Yagnobi',
    'Yagua',
    'Yagwoia',
    'Yahang',
    'Yahuna',
    'Yaka',
    'Yakan',
    'Yakima',
    'Yakkha',
    'Yakoma',
    'Yakut',
    'Yalarnnga',
    'Yale',
    'Yalunka',
    'Yalálag Zapotec',
    'Yambeta',
    'Yamdena',
    'Yameo',
    'Yami',
    'Yaminahua',
    'Yana',
    'Yanda Dogon',
    'Yandruwandha',
    'Yangben',
    'Yangkaal',
    'Yangkam',
    'Yangulam',
    'Yangum Dey',
    'Yangum Mon',
    'Yankunytjatjara',
    'Yanomamö',
    'Yansi',
    'Yanyuwa',
    'Yao (South America)',
    'Yao',
    'Yaouré',
    'Yapese',
    'Yaqui',
    'Yareba',
    'Yareni Zapotec',
    'Yarli',
    'Yarluyandi',
    'Yasa',
    'Yatee Zapotec',
    'Yatzachi Zapotec',
    'Yavapai',
    'Yavitero',
    'Yawa',
    'Yawarawarga',
    'Yaweyuha',
    'Yawuru',
    'Yaygir',
    'Yazgulyam',
    'Yekhee',
    'Yele',
    'Yelogu',
    'Yemsa',
    'Yendang',
    'Yeniche',
    'Yeretuar',
    'Yerong',
    'Yeskwa',
    'Yessan-Mayo',
    'Yetfa',
    'Yevanic',
    'Yeyi',
    'Yiddish',
    'Yidgha',
    'Yidiny',
    'Yil',
    'Yimas',
    'Yimchungru Naga',
    'Yindjibarndi',
    'Yindjilandji',
    'Yine',
    'Yinggarda',
    'Yir-Yoront',
    'Yis',
    'Yogad',
    'Yoidik',
    'Yoke',
    'Yola',
    'Yolmo',
    'Yonaguni',
    'Yongkom',
    'Yopno',
    'Yoron',
    'Yorta Yorta',
    'Yoruba',
    'Yosondúa Mixtec',
    'Yuaga',
    'Yucatec Maya',
    'Yucuna',
    'Yug',
    'Yuhup',
    'Yuki',
    'Yukpa',
    'Yuma',
    'Yupiltepeque',
    'Yupua',
    'Yuqui',
    'Yuracare',
    'Yuri',
    'Yurok',
    'Yurumanguí',
    'Yurutí',
    'Yámana',
    'Zacatlán-Ahuacatlán-Tepetzintla Nahuatl',
    'Zaghawa',
    'Zaiwa',
    'Zakhring',
    'Zanaki',
    'Zande',
    'Zangskari',
    'Zangwal',
    'Zaniza Zapotec',
    'Zapotec',
    'Zari',
    'Zarma',
    'Zauzou',
    'Zay',
    'Zayse-Zergulla',
    'Zazaki',
    'Zealandic',
    'Zenaga',
    'Zhaba',
    'Zhang-Zhung',
    'Zhuang',
    'Zia',
    'Zialo',
    'Zigula',
    'Zimakani',
    'Zimba',
    'Zinza',
    'Zipser German',
    'Zirenkel',
    'Zoogocho Zapotec',
    'Zotung Chin',
    'Zulgo-Gemzek',
    'Zulu',
    'Zumbun',
    'Zuni',
    'Záparo',
    'acointer',
    'Àhàn',
    'Önge',
    'Ātmanepada',
    'ǀXam',
    'ǁAni',
    'ǃKung',
    'ǃXóõ',
])
